UbuntuUpdates.org

Package "kde4libs"

This package belongs to a PPA: Kubuntu-ppa Backports

Name: kde4libs

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • core executables for KDE Applications
  • core shared data for all KDE Applications
  • debugging symbols for the KDE Development Platform libraries
  • development files for the KDE Development Platform libraries

Latest version: 4:4.14.22-0ubuntu2.2~ubuntu16.04~ppa1
Release: xenial (16.04)
Level: base
Repository: main

Links

Save this URL for the latest version of "kde4libs": https://www.ubuntuupdates.org/kde4libs



Other versions of "kde4libs" in Xenial

Repository Area Version
base universe 4:4.14.16-0ubuntu3
security universe 4:4.14.16-0ubuntu3.3
updates universe 4:4.14.16-0ubuntu3.3

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 4:4.14.22-0ubuntu2.2~ubuntu16.04~ppa1 2017-05-13 22:07:40 UTC

 kde4libs (4:4.14.22-0ubuntu2.2~ubuntu16.04~ppa1) xenial; urgency=medium
 .
   * SECURITY UPDATE: Local privilege escalation (LP: #1689759)
     - debian/patches/kauth-local-privilege-esc-CVE-2017-8422.patch
     - Thanks to Sebastian Krahmer for reporting this issue,
       Albert Astals Cid for fixing this issue.
     - CVE-2017-8422

Source diff to previous version

Version: 4:4.14.22-0ubuntu2.1~ubuntu16.04~ppa1 2017-03-04 09:08:43 UTC

 kde4libs (4:4.14.22-0ubuntu2.1~ubuntu16.04~ppa1) xenial; urgency=medium
 .
   * SECURITY UPDATE:Information Leak when accessing https when using a
     malicious PAC file
       - debian/patches/kio-sanitize-url-to-FindProxyForURL.patch
       - Thanks to Safebreach Labs researchers Safebreach Labs researchers
         Itzik Kotler, Yonatan Fridburg and Amit Klein for reporting this
         issue, Albert Astals Cid for fixing this issue.
       - No CVE number.
       - fixes (LP: #1668871)

Source diff to previous version
1668871 kio: Information Leak when accessing https when using a malicious PAC file

Version: 4:4.14.22-0ubuntu2~ubuntu16.04~ppa61 2016-12-16 18:10:50 UTC

 kde4libs (4:4.14.22-0ubuntu2~ubuntu16.04~ppa61) xenial; urgency=medium
 .
   * Mark as optional various symbols that are not part of the C++ ABI.




About   -   Send Feedback to @ubuntu_updates